<?php

namespace App\Exports;

use App\Models\Progression;
use Illuminate\Support\Facades\Log;

class ProgressionExport extends BaseExport
{
    protected function getExportColumns(): array
    {
        return [
            ['name' => 'id', 'label' => 'ID', 'type' => 'numeric'],
            ['name' => 'numero_lecon', 'label' => 'Numéro de leçon', 'type' => 'numeric'],
            ['name' => 'chapitre', 'label' => 'Chapitre', 'type' => 'text'],
            ['name' => 'titre_lecon', 'label' => 'Titre de la leçon', 'type' => 'text'],
            ['name' => 'numero_semaine', 'label' => 'Numéro de semaine', 'type' => 'numeric'],
            ['name' => 'discipline.libelle', 'label' => 'Discipline', 'type' => 'relationship', 'relation_field' => 'libelle'],
            ['name' => 'created_at', 'label' => 'Date de création', 'type' => 'datetime'],
            ['name' => 'updated_at', 'label' => 'Date de mise à jour', 'type' => 'datetime'],
        ];
    }

    protected function getExportTitle(): string
    {
        return 'Progressions';
    }

    protected function getModelClass()
    {
        return Progression::class;
    }

    protected function getRelations(): array
    {
        return ['discipline'];
    }
}
